List deployments for an environment
GET
/
v1
/
agents
/
{agentId}
/
deployments
List deployments for an environment
curl --request GET \
--url https://api.us.poly.ai/v1/agents/{agentId}/deployments \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.us.poly.ai/v1/agents/{agentId}/deployments"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.us.poly.ai/v1/agents/{agentId}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployments": [
{
"id": "<string>",
"accountId": "<string>",
"agentId": "<string>",
"environment": "<string>",
"artifactVersion": "<string>",
"version": "<string>",
"createdBy": "<string>",
"createdAt": "<string>",
"metadata": {}
}
]
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}{
"success": false,
"error": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"data": "<unknown>"
}Authorizations
Path Parameters
Query Parameters
Environment to list deployments for (sandbox, pre-release, live)
Available options:
sandbox, pre-release, live Max number of deployments to return
Response
Successful response
Deployments for the requested environment, ordered newest first.
Show child attributes
Show child attributes
Last modified on April 22, 2026
Was this page helpful?
⌘I
List deployments for an environment

